VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Validate Date"
   ClientHeight    =   2790
   ClientLeft      =   3390
   ClientTop       =   2880
   ClientWidth     =   5535
   LinkTopic       =   "Form1"
   ScaleHeight     =   2790
   ScaleWidth      =   5535
   Begin VB.CommandButton cmdExit 
      Caption         =   "E&xit"
      Height          =   495
      Left            =   3960
      TabIndex        =   7
      Top             =   1140
      Width           =   1215
   End
   Begin VB.CommandButton cmdClear 
      Caption         =   "C&lear"
      Height          =   495
      Left            =   2160
      TabIndex        =   6
      Top             =   1140
      Width           =   1215
   End
   Begin VB.CommandButton cmdCheck 
      Caption         =   "&Check"
      Height          =   495
      Left            =   240
      TabIndex        =   5
      Top             =   1140
      Width           =   1215
   End
   Begin VB.TextBox txtYYYY 
      Height          =   495
      Left            =   4380
      MaxLength       =   4
      TabIndex        =   3
      Top             =   480
      Width           =   795
   End
   Begin VB.TextBox txtDD 
      Height          =   495
      Left            =   3360
      MaxLength       =   2
      TabIndex        =   2
      Top             =   480
      Width           =   615
   End
   Begin VB.TextBox txtMM 
      Height          =   495
      Left            =   2400
      MaxLength       =   2
      TabIndex        =   1
      Top             =   480
      Width           =   615
   End
   Begin VB.Label lblMsg 
      Alignment       =   2  'Center
      BorderStyle     =   1  'Fixed Single
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   240
      TabIndex        =   4
      Top             =   1860
      Width           =   4995
   End
   Begin VB.Line Line2 
      X1              =   4320
      X2              =   4080
      Y1              =   540
      Y2              =   900
   End
   Begin VB.Line Line1 
      X1              =   3300
      X2              =   3060
      Y1              =   540
      Y2              =   900
   End
   Begin VB.Label Label1 
      Caption         =   "Test &Date (MM/DD/YYYY):"
      Height          =   375
      Left            =   180
      TabIndex        =   0
      Top             =   540
      Width           =   2055
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub cmdCheck_Click()
    
    Dim intMM       As Integer
    Dim intDD       As Integer
    Dim intYYYY     As Integer
    Dim intDayLimit As Integer
    
    intMM = Val(txtMM)
    intDD = Val(txtDD)
    intYYYY = Val(txtYYYY)
    
    Select Case intMM
        Case 4, 6, 9, 11
            intDayLimit = 30
        Case 1, 3, 5, 7, 8, 10, 12
            intDayLimit = 31
        Case 2
            If intYYYY Mod 100 = 0 Then
                If intYYYY Mod 400 = 0 Then
                    intDayLimit = 29
                Else
                    intDayLimit = 28
                End If
            Else
                If intYYYY Mod 4 = 0 Then
                    intDayLimit = 29
                Else
                    intDayLimit = 28
                End If
            End If
        Case Else
            lblMsg = "Date is NOT valid."
            txtMM.SetFocus
            Exit Sub
    End Select
    
    If intDD >= 1 And intDD <= intDayLimit Then
        lblMsg = "Date is valid."
        cmdClear.SetFocus
    Else
        lblMsg = "Date is NOT valid."
        txtMM.SetFocus
    End If
        
End Sub

Private Sub cmdClear_Click()
    txtMM = ""
    txtDD = ""
    txtYYYY = ""
    txtMM.SetFocus
End Sub

Private Sub cmdExit_Click()
    End
End Sub

Private Sub txtMM_KeyPress(KeyAscii As Integer)
    If KeyAscii = vbKeyBack _
    Or InStr("0123456789", Chr$(KeyAscii)) > 0 Then
        ' OK
    Else
        KeyAscii = 0
    End If
End Sub
Private Sub txtDD_KeyPress(KeyAscii As Integer)
    If KeyAscii = vbKeyBack _
    Or InStr("0123456789", Chr$(KeyAscii)) > 0 Then
        ' OK
    Else
        KeyAscii = 0
    End If
End Sub
Private Sub txtYYYY_KeyPress(KeyAscii As Integer)
    If KeyAscii = vbKeyBack _
    Or InStr("0123456789", Chr$(KeyAscii)) > 0 Then
        ' OK
    Else
        KeyAscii = 0
    End If
End Sub


